import pygame, sys,os 
from pygame.locals import *
from config import *

def input(events,state,ministate): 
	for event in events: 
		# Force Quick Game for all state
		if (event.type == QUIT) or (event.type == KEYDOWN and event.key == K_ESCAPE): 	# Force Quit Game
			sys.exit(0)
		# State Main Menu
		if state == STATE_MENU:
			if event.type == KEYDOWN and event.key == K_RETURN: 	# Enter key
				ministate = 0
				return CHANGE_STATE_TO_STARTGAME
		if state == STATE_STARTGAME and ministate == STATE_STARTGAME_BIRD:
			if event.type == KEYDOWN and event.key == K_a: 	# Shoot it!
				pygame.mixer.Sound(os.path.join('data/sound', 'shoot.wav')).play()
				return SHOOTING
		if state == STATE_GAMEOVER and ministate == STATE_GAMEOVER_WATCHING:
			if event.type == KEYDOWN and event.key == K_RETURN:
				return PRESSVDO
		if state == STATE_GAMEOVER and ministate == STATE_GAMEOVER_SHOWSCORE:
			if event.type == KEYDOWN and event.key == K_RETURN:
				return PRESSSUBMIT
		if event.type == KEYDOWN and event.key == K_F1:
				return VIEWSCORE
		#else:
			#print event 
	return CURRENT_STATE
